---
wsId: InfinitoWallet
title: Infinito Wallet - Crypto Wallet & DApp Browser
altTitle: 
authors:
- leo
users: 100000
appId: io.infinito.wallet
appCountry: 
released: 2017-11-15
updated: 2022-05-20
version: 2.36.10
stars: 3.8
ratings: 2198
reviews: 110
size: 
website: https://www.infinitowallet.io
repository: 
issue: 
icon: io.infinito.wallet.png
bugbounty: 
meta: ok
verdict: nosource
date: 2020-03-30
signer: 
reviewArchive: 
twitter: Infinito_Ltd
social:
- https://www.linkedin.com/company/infinitoservices
- https://www.facebook.com/InfinitoWallet
redirect_from:
- /io.infinito.wallet/
- /posts/io.infinito.wallet/

---

Right on the Playstore description we find:

> Truly decentralized: You control private key, passphrases and passwords

So it is not a custodial app. How about source code?

Searching for its appId on GitHub
[does not yield promising results](https://github.com/search?q=%22io.infinito.wallet%22&type=Code)
neither.

Our verdict: This app is **not verifiable**.
